curl --request POST \
--url https://my.flowsign.app/api/v1/signing-groups/{groupId}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userIds": [
"3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01"
],
"emails": [
"tom.rangi@example.co.nz"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userIds: ['3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01'],
emails: ['tom.rangi@example.co.nz']
})
};
fetch('https://my.flowsign.app/api/v1/signing-groups/{groupId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userIds: ['3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01'],
emails: ['tom.rangi@example.co.nz']
})
};
fetch('https://my.flowsign.app/api/v1/signing-groups/{groupId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://my.flowsign.app/api/v1/signing-groups/{groupId}/members';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userIds: ['3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01'],
emails: ['tom.rangi@example.co.nz']
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://my.flowsign.app/api/v1/signing-groups/{groupId}/members"
payload = {
"userIds": ["3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01"],
"emails": ["tom.rangi@example.co.nz"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://my.flowsign.app/api/v1/signing-groups/{groupId}/members");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"userIds\": [\n \"3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01\"\n ],\n \"emails\": [\n \"tom.rangi@example.co.nz\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://my.flowsign.app/api/v1/signing-groups/{groupId}/members");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"userIds\": [\n \"3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01\"\n ],\n \"emails\": [\n \"tom.rangi@example.co.nz\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
$headers=@{}
$headers.Add("Authorization", "Bearer <token>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://my.flowsign.app/api/v1/signing-groups/{groupId}/members' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"userIds": [
"3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01"
],
"emails": [
"tom.rangi@example.co.nz"
]
}'{
"data": {
"added": [
{
"id": "3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01",
"email": "jane.ahu@example.co.nz",
"displayName": "Jane Ahu"
}
],
"alreadyMembers": [
{
"id": "3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01",
"email": "jane.ahu@example.co.nz",
"displayName": "Jane Ahu"
}
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}Add signing group members
Adds workspace members to a signing group by user id, email, or both. Requires canManageSigningGroups.
curl --request POST \
--url https://my.flowsign.app/api/v1/signing-groups/{groupId}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userIds": [
"3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01"
],
"emails": [
"tom.rangi@example.co.nz"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userIds: ['3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01'],
emails: ['tom.rangi@example.co.nz']
})
};
fetch('https://my.flowsign.app/api/v1/signing-groups/{groupId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userIds: ['3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01'],
emails: ['tom.rangi@example.co.nz']
})
};
fetch('https://my.flowsign.app/api/v1/signing-groups/{groupId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://my.flowsign.app/api/v1/signing-groups/{groupId}/members';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userIds: ['3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01'],
emails: ['tom.rangi@example.co.nz']
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://my.flowsign.app/api/v1/signing-groups/{groupId}/members"
payload = {
"userIds": ["3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01"],
"emails": ["tom.rangi@example.co.nz"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://my.flowsign.app/api/v1/signing-groups/{groupId}/members");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"userIds\": [\n \"3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01\"\n ],\n \"emails\": [\n \"tom.rangi@example.co.nz\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://my.flowsign.app/api/v1/signing-groups/{groupId}/members");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"userIds\": [\n \"3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01\"\n ],\n \"emails\": [\n \"tom.rangi@example.co.nz\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
$headers=@{}
$headers.Add("Authorization", "Bearer <token>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://my.flowsign.app/api/v1/signing-groups/{groupId}/members' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"userIds": [
"3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01"
],
"emails": [
"tom.rangi@example.co.nz"
]
}'{
"data": {
"added": [
{
"id": "3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01",
"email": "jane.ahu@example.co.nz",
"displayName": "Jane Ahu"
}
],
"alreadyMembers": [
{
"id": "3f9d2c1e-7b4a-4e8f-9c21-5a6b7d8e9f01",
"email": "jane.ahu@example.co.nz",
"displayName": "Jane Ahu"
}
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The workspace the key was issued for, as returned by GET /api/v1/workspaces. Optional: omitting it acts in the key's workspace, and any other id is rejected with 401.
Path Parameters
Body
Choose people by user id, email address, or both. At least one is required and at most 100 per call across both lists. Each person must be an active member of the workspace: if anyone is not, the call fails and nobody is added.
User ids of workspace members to add. Combined with emails, at most 100 per call.
100A workspace member's user id.
1Email addresses of workspace members to add. Combined with userIds, at most 100 per call.
100A workspace member's email address. Matched case-insensitively.
Response
Success
Show child attributes
Show child attributes
Was this page helpful?

